- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Creates new backup policy
HTTP request
POST https://netapp.googleapis.com/v1/{parent=projects/*/locations/*}/backupPolicies The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The location to create the backup policies of, in the format |
Query parameters
| Parameters | |
|---|---|
backupPolicyId |
Required. The ID to use for the backup policy. The ID must be unique within the specified location. Must contain only letters, numbers and hyphen, with the first character a letter, the last a letter or a number, and a 63 character maximum. |
Request body
The request body contains an instance of BackupPolicy.
Response body
If successful, the response body contains a newly created instance of Operation.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
netapp.backupPolicies.create
For more information, see the IAM documentation.